=== debian/control ===
Source: github-backup-utils
Maintainer: Zachary Mark <zachary-mark@github.com>
Section: misc
Priority: optional
Standards-Version: 4.5.1
Build-Depends: debhelper (>= 9), git, moreutils, jq, rsync (>= 2.6.4), help2man,
Homepage: https://github.com/github/backup-utils
Vcs-Git: https://github.com/github/backup-utils.git
Vcs-Browser: https://github.com/github/backup-utils
Rules-Requires-Root: no

Package: github-backup-utils
Architecture: all
Depends: ${misc:Depends}, rsync (>= 2.6.4), moreutils, jq, git
Description: Backup and recovery utilities for GitHub Enterprise Server
 The backup utilities implement a number of advanced capabilities for backup
 hosts, built on top of the backup and restore features already included in
 GitHub Enterprise Server.
 .
 These advanced features include:
  - Complete GitHub Enterprise Server backup and recovery system via two simple
    utilities: `ghe-backup` and `ghe-restore`.
  - Online backups. The GitHub appliance need not be put in maintenance mode for
    the duration of the backup run.
  - Incremental backup of Git repository data. Only changes since the last
    snapshot are transferred, leading to faster backup runs and lower network
    bandwidth and machine utilization.
  - Efficient snapshot storage. Only data added since the previous snapshot
    consumes new space on the backup host.
  - Multiple backup snapshots with configurable retention periods.
  - Backup runs under the lowest CPU/IO priority on the GitHub appliance,
    reducing performance impact while backups are in progress.
